### Method

# Cogl Display set_onscreen_template

#### Declaration [src]

    void
    cogl_display_set_onscreen_template (
      CoglDisplay* display,
      CoglOnscreenTemplate* onscreen_template
    )

#### Description [src]

Specifies a template for creating `CoglOnscreen` framebuffers.

Depending on the system, the constraints for creating `CoglOnscreen` framebuffers need to be known before setting up a `CoglDisplay` because the final setup of the display may constrain how onscreen framebuffers may be allocated. If Cogl knows how an application wants to allocate onscreen framebuffers then it can try to make sure to setup the display accordingly.

#### Parameters

`onscreen_template`

  Type: `CoglOnscreenTemplate`

  A template for creating `CoglOnscreen` framebuffers.

  The data is owned by the caller of the method.